<div *ngIf="userClicked">
    <h1>Pokémon trainer: {{ userClicked!.firstname! }}</h1>
</div>
<br /><br />
<div class="row">
    <div class="col">
        <table class="table table-striped">
            <tr>
                <th>#</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email Address</th>
                <th></th>
            </tr>

            <tr *ngFor="let user of usersFollowing; let i = index">
                <td>{{ i + 1 }}</td>
                <td>{{ user.firstname }}</td>
                <td>{{ user.lastname }}</td>
                <td>{{ user.emailaddress }}</td>
                <td>
                    <div class="btn-group">
                        <a (click)="onClickUser(user._id)" type="button" class="btn btn-sm btn-outline-primary">Pokemon
                            Team</a>
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div class="col">
        <h2 class="container pokemon team title">Pokemon Team</h2>
        <div *ngIf="userClicked">
            <div class="container pokemon team">
                <div class="row">
                    <div *ngFor="let pokemon of pokemonTeam; let i = index">
                        <div *ngIf="pokemonTeam.length > 0 ">
                            <div *ngIf="pokemon">
                                <div class="card" style="width: 9rem">
                                    <img class="card-img-top" src="{{ pokemon.pokemonImageURL }}"
                                        alt="Card image cap" />
                                    <div class="card-body">
                                        <h5 class="card-title">{{ pokemon.name }}</h5>
                                        <p class="card-text"></p>
                                    </div>
                                </div>
                            </div>
                            <div *ngIf="!pokemon">
                                <div class="card" style="width: 9rem">
                                    <img class="card-img-top"
                                        src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Pok%C3%A9_Ball_icon.svg/640px-Pok%C3%A9_Ball_icon.svg.png"
                                        alt="Card image cap" />
                                    <div class="card-body">
                                        <h5 class="card-title">This trainer has yet to add a pokemon to his/her team
                                        </h5>
                                        <p class="card-text"></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>